Bug 7229 - NULL pointer dereference fixed in master 25452a2268ac7013da2; CVE-2010-1635
NULL pointer dereference fixed in master 25452a2268ac7013da2; CVE-2010-1635
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 15:11 UTC by Volker Lendecke
Modified: 2012-03-16 23:57 UTC (History)
0 users

See Also:
jra: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2010-03-09 15:11:13 UTC
This fix applies cleanly to 3.4 and 3.5. 3.3 panics, which IMHO is a valid "response" as well.

Jeremy, can you please review, possibly ack and re-assign this to Karolin?

Thanks to Laurent Gaffie <laurent.gaffie@gmail.com> for pointing out this crash to us!

Volker
Comment 1 Jeremy Allison 2010-03-09 16:29:44 UTC
+1 from me. Re-assigning to Karolin for inclusion.

Karolin, can you give Laurent Gaffie <laurent.gaffie@gmail.com> credits in the WHATSNEW.

Thanks !

Jeremy.
Comment 2 Karolin Seeger 2010-03-11 03:10:18 UTC
Pushed to v3-5-test and v3-4-test.
Closing out bug report.

Thanks!